=== added file 'src/com/goldencode/p2j/testengine/AbstractMethodTestDescriptor.java'
--- src/com/goldencode/p2j/testengine/AbstractMethodTestDescriptor.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/AbstractMethodTestDescriptor.java	2022-10-21 15:20:00 +0000
@@ -0,0 +1,248 @@
+/*
+** Module   : AbstractMethodTestDescriptor.java
+** Abstract : Test descriptor for a Java method.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine;
+
+import java.io.*;
+import java.lang.reflect.*;
+import java.util.*;
+
+import org.junit.platform.engine.support.hierarchical.*;
+
+/**
+ * Test descriptor for a Java method.
+ */
+public abstract class AbstractMethodTestDescriptor
+extends AbstractFWDTestDescriptor
+{
+   /**
+    * Methods to execute after the main method, if any.
+    */
+   List<Method> afterEach;
+
+   /**
+    * Methods to execute before the main method, if any.
+    */
+   List<Method> beforeEach;
+
+   /**
+    * The Java class to create instances of.
+    */
+   Class<?> clazz;
+
+   /**
+    * The test method
+    */
+   Method method;
+
+   /**
+    * Default constructor. Required for serialization only. Not to be used in applications.
+    */
+   protected AbstractMethodTestDescriptor()
+   {
+      super(null, null);
+
+      this.clazz = null;
+      this.method = null;
+      this.beforeEach = null;
+      this.afterEach = null;
+   }
+
+   /**
+    * Constructor.
+    * 
+    * @param parent 
+    *        the parent descriptor
+    * @param clazz
+    *        the Java class to create instances
+    * @param execute
+    *        the method to execute
+    * @param beforeEach
+    *        methods to execute before the execute method
+    * @param afterEach
+    *        methods to execute after the execute method
+    */
+   protected AbstractMethodTestDescriptor(final AbstractClassTestDescriptor parent,
+            final Class<?> clazz,
+            final Method execute,
+            final List<Method> beforeEach,
+            final List<Method> afterEach)
+   {
+      super(parent.getUniqueId().append("method", execute.getName()), execute.getName());
+
+      this.clazz = clazz;
+      this.method = execute;
+      this.beforeEach = beforeEach;
+      this.afterEach = afterEach;
+   }
+
+   /**
+    * Execute the <em>after</em> behavior of this node implementation.
+    *
+    * <p>This method will be called once <em>after</em> {@linkplain #executeImpl()
+    * execution} of this node.
+    * 
+    * @throws Exception 
+    * 
+    */
+   @Override
+   public void afterImpl() throws Exception
+   {
+      callMethodsImpl(afterEach);
+   }
+
+   /**
+    * Execute the <em>before</em> behavior of this node implementation.
+    *
+    * <p>This method will be called once <em>before</em> {@linkplain #executeImpl()
+    * execution} of this node.
+    * 
+    * @throws Exception 
+    *
+    */
+   @Override
+   public void beforeImpl() throws Exception
+   {
+      callMethodsImpl(beforeEach);
+   }
+
+   /**
+    * Execute the implementation <em>behavior</em> of this node.
+    *
+    * @throws Exception 
+    *
+    */
+   @Override
+   public void executeImpl() throws Exception
+   {
+      callMethodsImpl(Collections.singletonList(method));
+   }
+
+   /**
+    * The object implements the readExternal method to restore its
+    * contents by calling the methods of DataInput for primitive
+    * types and readObject for objects, strings and arrays.  The
+    * readExternal method must read the values in the same sequence
+    * and with the same types as were written by writeExternal.
+    *
+    * @param in the stream to read data from in order to restore the object
+    * @exception IOException if I/O errors occur
+    * @exception ClassNotFoundException If the class for an object being
+    *              restored cannot be found.
+    */
+   @Override
+   public void readExternal(ObjectInput in) throws IOException, ClassNotFoundException
+   {
+      super.readExternal(in);
+
+      clazz = (Class<?>) in.readObject();
+      method = SerializationSupport.readMethod(in);
+      beforeEach = SerializationSupport.readMethods(in);
+      afterEach = SerializationSupport.readMethods(in);
+   }
+
+   /**
+    * The object implements the writeExternal method to save its contents
+    * by calling the methods of DataOutput for its primitive values or
+    * calling the writeObject method of ObjectOutput for objects, strings,
+    * and arrays.
+    *
+    * @serialData Overriding methods should use this tag to describe
+    *             the data layout of this Externalizable object.
+    *             List the sequence of element types and, if possible,
+    *             relate the element to a public/protected field and/or
+    *             method of this Externalizable class.
+    *
+    * @param out the stream to write the object to
+    * @exception IOException Includes any I/O exceptions that may occur
+    */
+   @Override
+   public void writeExternal(ObjectOutput out) throws IOException
+   {
+      super.writeExternal(out);
+
+      out.writeObject(clazz);
+      SerializationSupport.writeMethod(method, out);
+      SerializationSupport.writeMethods(beforeEach, out);
+      SerializationSupport.writeMethods(afterEach, out);
+   }
+
+   /**
+    * Get test object. The test object is either a legacy class instance if tests are implemented
+    * as legacy class methods or a persistent procedure instance it tests are implemented as
+    * internal procedures.
+    * 
+    * The value should be {@code null} if the test method is a static legacy class method.
+    * 
+    * The value is created in class test descriptor {@link Node#prepare(EngineExecutionContext)},
+    * and destroyed in {@link Node#cleanUp(EngineExecutionContext)}.
+    * 
+    * @return the test object or {@code null}
+    *         
+    */
+   @Override
+   protected Object getTestObject()
+   {
+      // The text object is stored by the class test descriptor
+      return ((AbstractFWDTestDescriptor) getParent().get()).getTestObject();
+   }
+
+}

=== added file 'src/com/goldencode/p2j/testengine/FWDClassMethodTestDescriptor.java'
--- src/com/goldencode/p2j/testengine/FWDClassMethodTestDescriptor.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/FWDClassMethodTestDescriptor.java	2022-10-28 14:35:32 +0000
@@ -0,0 +1,119 @@
+/*
+** Module   : FWDClassMethodTestDescriptor.java
+** Abstract : Test descriptor for a legacy class test method.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine;
+
+import java.lang.reflect.*;
+import java.util.*;
+
+import com.goldencode.p2j.util.*;
+
+/**
+ * Test descriptor for a legacy class test method.
+ */
+public class FWDClassMethodTestDescriptor
+extends AbstractMethodTestDescriptor
+{
+
+   /**
+    * Default constructor, required for de-serialization.
+    */
+   public FWDClassMethodTestDescriptor()
+   {
+      // no-op
+   }
+
+   /**
+    * Constructor.
+    * 
+    * @param parent 
+    *        the parent descriptor
+    * @param clazz
+    *        the Java class to create instances
+    * @param execute
+    *        the method to execute
+    * @param beforeEach
+    *        methods to execute before the execute method
+    * @param afterEach
+    *        methods to execute after the execute method
+    */
+   FWDClassMethodTestDescriptor(AbstractClassTestDescriptor parent, Class<?> clazz,
+            Method execute, List<Method> beforeEach, List<Method> afterEach)
+   {
+      super(parent, clazz, execute, beforeEach, afterEach);
+   }
+
+   /**
+    * Call 4gl class instance or static method.
+    * 
+    * @param method
+    *        the Java method to call
+    * @param o
+    *        the class instance to invoke the method on, or {@code null} to call a static method
+    */
+   @Override
+   protected void callMethodImpl(final Method method, final Object o)
+   {
+      TestExecutionSupport.callClassMethod(method, (object<?>) o);
+   }
+
+
+}

=== added file 'src/com/goldencode/p2j/testengine/FWDClassTestDescriptor.java'
--- src/com/goldencode/p2j/testengine/FWDClassTestDescriptor.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/FWDClassTestDescriptor.java	2022-10-28 14:40:39 +0000
@@ -0,0 +1,187 @@
+/*
+** Module   : FWDClassTestDescriptor.java
+** Abstract : Test descriptor for a legacy class.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine;
+
+import java.lang.reflect.*;
+import java.util.*;
+
+import org.junit.platform.engine.*;
+import org.junit.platform.engine.support.hierarchical.*;
+
+import com.goldencode.p2j.util.*;
+
+/**
+ * Test descriptor for a legacy class.
+ */
+public class FWDClassTestDescriptor
+extends AbstractClassTestDescriptor
+{
+
+   /**
+    * Test class instance to invoke the method on.
+    * Unlike JUnit5, the same instance is used to run all test methods
+    * for a class.
+    */
+   transient object<?> testInstance;
+
+   /**
+    * Default constructor, required for de-serialization
+    */
+   public FWDClassTestDescriptor()
+   {
+      // no-op
+   }
+
+   /**
+    * The constructor.
+    * 
+    * @param clazz
+    *        the Java class
+    * @param parent
+    *        the parent descriptor
+    * @param test
+    *        class methods marked as tests  
+    * @param beforeEach
+    *        class methods marked to execute before each test  
+    * @param afterEach
+    *        class methods marked to execute after each test  
+    * @param beforeAll
+    *        class methods marked to execute before all tests  
+    * @param afterAll
+    *        class methods marked to execute after all tests  
+    */
+   FWDClassTestDescriptor(Class<?> clazz, TestDescriptor parent, List<Method> test,
+            List<Method> beforeEach, List<Method> afterEach, List<Method> beforeAll,
+            List<Method> afterAll)
+   {
+      super(clazz, parent, test, beforeEach, afterEach, beforeAll, afterAll);
+      // Create method descriptors for "each" type methods
+      test.stream()
+               .map(m -> new FWDClassMethodTestDescriptor(this, clazz, m, beforeEach, afterEach))
+               .forEach(this::addChild);
+   }
+
+   /**
+    * Clean up the supplied {@code context} after execution implementation.
+    * 
+    * Reset the test class instance.
+    * 
+    * @throws Exception 
+    *
+    * @see #prepare
+    */
+   @Override
+   public void cleanUpImpl() throws Exception
+   {
+      // TODO do we need to do any additional cleanup?
+      testInstance = null;
+   }
+
+   /**
+    * Prepare the supplied {@code context} prior to execution implementation.
+    * 
+    * @throws Exception 
+    *
+    * @see #cleanUpImpl
+    */
+   @Override
+   public void prepareImpl() throws Exception
+   {
+      final object<?> inst = UndoableFactory.object(clazz);
+      inst.assign(ObjectOps.newInstance(clazz));
+      testInstance = inst;
+   }
+
+   /**
+    * Get test object. The test object is either a legacy class instance if tests are implemented
+    * as legacy class methods or a persistent procedure instance it tests are implemented as
+    * internal procedures.
+    * 
+    * The value should be {@code null} if the test method is a static legacy class method.
+    * 
+    * The value is created in class test descriptor {@link Node#prepare(EngineExecutionContext)},
+    * and destroyed in {@link Node#cleanUp(EngineExecutionContext)}.
+    * 
+    * @return the test object or {@code null}
+    *         
+    */
+   @Override
+   protected Object getTestObject()
+   {
+      return testInstance;
+   }
+
+   /**
+    * Call 4gl class instance or static method.
+    * 
+    * @param method
+    *        the Java method to call
+    * @param o
+    *        the class instance to invoke the method on, or {@code null} to call a static method
+    */
+   @Override
+   protected void callMethodImpl(final Method method, final Object o)
+   {
+      TestExecutionSupport.callClassMethod(method, (object<?>) o);
+   }
+
+}

=== added file 'src/com/goldencode/p2j/testengine/FWDEngineDescriptor.java'
--- src/com/goldencode/p2j/testengine/FWDEngineDescriptor.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/FWDEngineDescriptor.java	2022-10-28 14:41:47 +0000
@@ -0,0 +1,162 @@
+/*
+** Module   : FWDEngineDescriptor.java
+** Abstract : Test engine descriptor.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine;
+
+import org.junit.platform.commons.*;
+import org.junit.platform.engine.*;
+
+import com.goldencode.p2j.persist.trigger.*;
+import com.goldencode.p2j.ui.*;
+import com.goldencode.p2j.util.*;
+
+/**
+ * Test engine descriptor. Provides this engine unique ID and same thread execution mode. 
+ */
+public class FWDEngineDescriptor
+extends AbstractBranchTestDescriptor
+{
+   /**
+    * Default constructor for de-serialization only,
+    * must never be used by applications.
+    */
+   public FWDEngineDescriptor()
+   {
+      this(null);
+   }
+
+   /**
+    * The constructor.
+    * 
+    * @param uniqueId the {@code UniqueId} for the described {@code TestEngine};
+    * never {@code null}
+    */
+   public FWDEngineDescriptor(final UniqueId uniqueId)
+   {
+      super(uniqueId, "FWD Test");
+   }
+
+   /**
+    * Get the preferred of {@linkplain org.junit.platform.engine.support.hierarchical.Node.ExecutionMode execution mode} for
+    * parallel execution of this node.
+    *
+    * @return the preferred execution mode of this node; never {@code null}
+    * @see org.junit.platform.engine.support.hierarchical.Node.ExecutionMode
+    */
+   @Override
+   public ExecutionMode getExecutionMode()
+   {
+      // No concurrent execution is planned yet
+      return ExecutionMode.SAME_THREAD;
+   }
+
+   /**
+    * Remove this non-root descriptor from its parent and remove all the
+    * children from this descriptor.
+    *
+    * <p>If this method is invoked on a {@linkplain #isRoot root} descriptor,
+    * this method must throw a {@link org.junit.platform.commons.JUnitException
+    * JUnitException} explaining that a root cannot be removed from the
+    * hierarchy.
+    */
+   @Override
+   public void removeFromHierarchy()
+   {
+      throw new PreconditionViolationException("cannot remove the root of a hierarchy");
+   }
+
+   /**
+    * Clean up the supplied {@code context} after execution implementation.
+    * 
+    * Reset the test class instance.
+    * 
+    * @throws Exception 
+    *
+    * @see #prepare
+    */
+   @Override
+   public void cleanUpImpl() throws Exception
+   {
+      TransactionManager.popScope();
+   }
+
+   /**
+    * Prepare the supplied {@code context} prior to execution implementation.
+    * 
+    * @throws Exception 
+    *
+    * @see #cleanUpImpl
+    */
+   @Override
+   public void prepareImpl() throws Exception
+   {
+      // force DatabaseTriggerManager context-local instantiation before the new scope is pushed
+      DatabaseTriggerManager.get();
+
+      // add the topmost scope to the TransactionManager
+      TransactionManager.pushScope("startup", TransactionManager.NO_TRANSACTION, true, true,
+               false, false);
+
+      // make sure that the global block gets a special notification - but only for non-appserver sessions.
+      LogicalTerminal.registerCleaner();
+   }
+
+}

=== added file 'src/com/goldencode/p2j/testengine/FWDEngineExecutionContext.java'
--- src/com/goldencode/p2j/testengine/FWDEngineExecutionContext.java	1970-01-01 00:00:00 +0000
+++ src/com/goldencode/p2j/testengine/FWDEngineExecutionContext.java	2022-10-28 14:36:00 +0000
@@ -0,0 +1,85 @@
+/*
+** Module   : FWDEngineExecutionContext.java
+** Abstract : Test engine execution context.
+**
+** Copyright (c) 2022, Golden Code Development Corporation.
+**
+** -#- -I- --Date-- ----------------Description----------------------
+** 001 VVT 2022xxxx Created initial version.
+*/
+/*
+** This program is free software: you can redistribute it and/or modify
+** it under the terms of the GNU Affero General Public License as
+** published by the Free Software Foundation, either version 3 of the
+** License, or (at your option) any later version.
+**
+** This program is distributed in the hope that it will be useful,
+** but WITHOUT ANY WARRANTY; without even the implied warranty of
+** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+** GNU Affero General Public License for more details.
+**
+** You may find a copy of the GNU Affero GPL version 3 at the following
+** location: https://www.gnu.org/licenses/agpl-3.0.en.html
+** 
+** Additional terms under GNU Affero GPL version 3 section 7:
+** 
+**   Under Section 7 of the GNU Affero GPL version 3, the following additional
+**   terms apply to the works covered under the License.  These additional terms
+**   are non-permissive additional terms allowed under Section 7 of the GNU
+**   Affero GPL version 3 and may not be removed by you.
+** 
+**   0. Attribution Requirement.
+** 
+**     You must preserve all legal notices or author attributions in the covered
+**     work or Appropriate Legal Notices displayed by works containing the covered
+**     work.  You may not remove from the covered work any author or developer
+**     credit already included within the covered work.
+** 
+**   1. No License To Use Trademarks.
+** 
+**     This license does not grant any license or rights to use the trademarks
+**     Golden Code, FWD, any Golden Code or FWD logo, or any other trademarks
+**     of Golden Code Development Corporation. You are not authorized to use the
+**     name Golden Code, FWD, or the names of any author or contributor, for
+**     publicity purposes without written authorization.
+** 
+**   2. No Misrepresentation of Affiliation.
+** 
+**     You may not represent yourself as Golden Code Development Corporation or FWD.
+** 
+**     You may not represent yourself for publicity purposes as associated with
+**     Golden Code Development Corporation, FWD, or any author or contributor to
+**     the covered work, without written authorization.
+** 
+**   3. No Misrepresentation of Source or Origin.
+** 
+**     You may not represent the covered work as solely your work.  All modified
+**     versions of the covered work must be marked in a reasonable way to make it
+**     clear that the modified work is not originating from Golden Code Development
+**     Corporation or FWD.  All modified versions must contain the notices of
+**     attribution required in this license.
+*/
+package com.goldencode.p2j.testengine;
+
+import org.junit.platform.engine.support.hierarchical.*;
+
+/**
+ * Test engine execution context.
+ * 
+ */
+public class FWDEngineExecutionContext
+implements EngineExecutionContext
+{
+   /** Proxy instance to execute remove operations on the server */
+   final UnitTestEngine unitTestSupport;
+
+   /**
+    * The constructor.
+    * 
+    * @param unitTestSupport 
+    */
+   FWDEngineExecutionContext(final UnitTestEngine unitTestSupport)
+   {
+      this.unitTestSupport = unitTestSupport;
+   }
+}

